logDet.pdMat {nlme} | R Documentation

## Extract Log-Determinant from a pdMat Object

### Description

This method function extracts the logarithm of the determinant of a square-root factor of the positive-definite matrix represented by `object`.

### Usage

    ## S3 method for class 'pdMat'
    logDet(object, ...)

### Arguments

`object` | an object inheriting from class `"pdMat"`, representing a positive definite matrix.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

the log-determinant of a square-root factor of the positive-definite matrix represented by `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`pdMat`, `logDet`

### Examples

    pd1 <- pdSymm(diag(1:3))
    logDet(pd1)

[Package nlme version 3.1-128 Index]